'use strict';

var fs = require('fs');
var argv = require('optimist').options('s', {
    alias: 'stateless',
    default: false
}).argv;

var COMPONENT_NAME = argv.s || argv._[0] || 'App';
var nameRegExp = /^[A-Z][A-Za-z0-9]/g;
if (COMPONENT_NAME.search(nameRegExp) === -1) {
    console.error('\nbad name Component!\nComponent should start Uppercase leatter!\n');
} else {
    var createFile = function createFile(fileName, data) {
        fs.writeFileSync(DIR + '/' + fileName, data);
    };

    var DIR = './' + COMPONENT_NAME;
    var COMPO_FILES = require('./template')(COMPONENT_NAME, argv.s);
    if (!fs.existsSync(DIR)) {
        fs.mkdirSync(DIR);
        COMPO_FILES.map(function (file) {
            createFile(file.path, file.data);
        });
    }
}